Package javax.websocket

## Interface Decoder.BinaryStream<T>

All Superinterfaces:
  `Decoder`

Enclosing interface:
  Decoder

    public static interface Decoder.BinaryStream<T>
    extends Decoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.Decoder

`Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `decode​(java.io.InputStream is)`

### Methods inherited from interface javax.websocket.Decoder

`destroy, init`

### Method Detail

#### decode

    T decode​(java.io.InputStream is)
      throws DecodeException,
             java.io.IOException

Throws:
  `DecodeException`
  `java.io.IOException`